#!/bin/bash
# Last updated by $Author$:  - $Date$: 
# Current $Revision$: 

LOGFILE=config1.log 
log(){
	echo "$@"
	echo "[${USER}][`date`] - ${*}" >>$LOGFILE
}

log " "
log "------------------------------------------------------------------"
log "---------------------CONFIGURATION 1------------------------------"
log "------------------------------------------------------------------"
log "Removing /var/lib/rpm/__db* files to avoid stale locks..."
log "`rm -rf /var/lib/rpm/__db*`"
log "Rebuilding RPM database..."
log "`rpm --rebuilddb`"

log "Configuring ind_environment_variable_58_test..."
#log "`linux-ind_environment_variable_58_test-config1.sh`"
. linux-ind_environment_variable_58_test-config1.sh >>$LOGFILE
log "Configuring ind_environment_variable_58_test... DONE"

log "Configuring ind_family_test - NA"
#ind_text_file_content_54_test - win_only
#ind_text_file_content_test - win_only
log "Configuring ind_unknown_test - NA"
log "Configuring ind_variable_test - NA"
#ind_xml_file_content_test - win_only

log "Configuring ind_environment_variable_test..."
. linux-ind_environment_variable_test-config1.sh >>$LOGFILE
log "Configuring ind_environment_variable_test... DONE"

log "Configuring linux_ind_file_hash_test..."
log "`python3 ./linux_file_hash_test_cleanup.py`"
log "`python3 ./linux_file_hash_test_config_1.py`"
log "Configuring linux_ind_file_hash_test... DONE"

log "Configuring linux_ind_text_file_content_54_test..."
log "`python3 ./linux_text_file54_test_cleanup.py`"
log "`python3 ./linux_text_file54_test_config_1.py`"
log "Configuring linux_ind_text_file_content_54_test...DONE"

log "Configuring linux_ind_text_file_content_test..."
log "`python3 ./linux_text_file_content_test_cleanup.py`"
log "`python3 ./linux_text_file_test_config_1.py`"
log "Configuring linux_ind_text_file_content_test...DONE"

log "Configuring linux_ind_xml_file_content_test..."
log "`python3 ./linux_ind_xml_file_content_test_cleanup.py`"
log "`python3 ./linux_ind_xml_file_content_test_config_1.py`"
log "Configuring linux_ind_xml_file_content_test...DONE"

log "Configuring linux_rpm_info_test..."
log "`python3 ./linux_rpm_info_test_config_1.py`"
log "Configuring linux_rpm_info_test...DONE"

log "Configuring linux_partition_test..."
log "`./linux_partition_test_cleanup.sh`"
log "`./linux_partition_test_config1.sh`"
log "Configuring linux_partition_test...DONE"

log "Configuring linux_se_linux_boolean_test..."
log "Please wait. It may take several (10+) minutes to complete..."
log "`setenforce 0`"
log "`python3 ./selinux_boolean_test_RHEL_6_config_1.py`"
log "Configuring linux_se_linux_boolean_test...DONE"

log "Configuring unix_file_test..."
log "`./file_test_cleanup.sh`"
log "`./file_test_config1.sh`"
log "Configuring unix_file_test...DONE"

log "Configuring unix_password_test..."
log "`python3 ./unix_password_test_config_1.py`"
log "Configuring unix_password_test...DONE"

log "Configuring unix_process_58_test..."
dos2unix unix_process58_test-config1.sh
chmod +x unix_process58_test-config1.sh
log "`./unix_process58_test-config1.sh`"
log "Configuring unix_process58_test...DONE"

log "Configuring unix_runlevel_test..."
log "`python3 ./run_level_test_config_1.py`"
log "Configuring unix_runlevel_test...DONE"

log "Configuring unix_shadow_test..."
log "`sed -i".bak" '/smithj:Ep6mckrOLChF\.:10063:0:99999:7:::/d' /etc/shadow`"
log "`sed -i".bak" '/smithm:Ep6mckrOLCxx\.:10063:0:99999:7:30:21:100/d' /etc/shadow`"
log "`echo "smithj:Ep6mckrOLChF.:10063:0:99999:7:::" >> /etc/shadow`"
log "`echo "smithm:Ep6mckrOLCxx.:10063:0:99999:7:30:21:100" >> /etc/shadow`"
log "Configuring unix_shadow_test...DONE"

log "Configuring unix_uname_test - NA"

log "Configuring unix_xinetd_test..."
dos2unix xinetd_cleanup_script.sh
dos2unix xinetd_config_script.sh
chmod +x xinetd_cleanup_script.sh
chmod +x xinetd_config_script.sh
log "`./xinetd_cleanup_script.sh`"
log "`./xinetd_config_script.sh`"
log "Configuring unix_xinetd_test...DONE"

log "Configuring unix_inetd_test - NA"

#log "MANUAL instruction for linux_partition_test configuration settings:"
#log "MANUAL instruction for linux_partition_test configuration settings:"
#log "Insert a 1GB or larger removable USB drive.  This drive will be erased!"
#log "Use the parted command to create a new primary ext3 partition using all available space on the drive"
#log "*replace '/dev/sde' with your specific device ID for the USB drive!"
#log "run: parted"
#log "(parted) select /dev/sde"
#log "(parted) mkpart primary ext3 1 1018"
#log "(parted) quit"
#log " "
#log "Format the partion: mkfs.ext3 -t -b 4096 /dev/sde1"
#log "Change the uuid: tune2fs /dev/sde1 -U 11111111-2222-3333-4444-555555555555"
#log "Create the following folder: mkdir /mnt/usb-media"
#log "Mount the USB drive: mount /dev/sde1 /mnt/usb-media/"


log " "

log "Removing /var/lib/rpm/__db* files to avoid stale locks..."
log "`rm -rf /var/lib/rpm/__db*`"
log "Rebuilding RPM database..."
log "`rpm --rebuilddb`"
log "---------------------CONFIGURATION 1 - COMPLETED -----------------------------"








